| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.InvertNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.InvertNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.InvertNode:
[legend]

## Public Member Functions
def | __init__ (self, item)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    Invert logic (negation) of a control flow node.

Definition at line 138 of file ControlFlow.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiConfig.ControlFlow.InvertNode.__init__ | ( |  | self,
|  |  | item
| ) |  |

Definition at line 143 of file ControlFlow.py.

143 def __init__(self, item):
144 self.item = item
145

## Member Function Documentation

## ◆ __repr__()

def GaudiConfig.ControlFlow.InvertNode.__repr__ | ( |  | self | ) |

Definition at line 146 of file ControlFlow.py.

146 def __repr__(self):
147 return "~%r" % self.item
148
GaudiPython.HistoUtils.__repr__
__repr__
Definition: HistoUtils.py:508

## ◆ _visitSubNodes()

def GaudiConfig.ControlFlow.InvertNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Reimplemented from GaudiConfig.ControlFlow.ControlFlowNode.

Definition at line 149 of file ControlFlow.py.

149 def _visitSubNodes(self, visitor):
150 self.item.visitNode(visitor)
151
152

## Member Data Documentation

## ◆ item

GaudiConfig.ControlFlow.InvertNode.item

Definition at line 144 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py